/*_____________________________________________________________________________________________________________________________________________________________________
SNS_TABLE_OBJECT.mqh
Steven N. Scott

NOTE: THIS IS AN #INCLUDE FILE AND  NEEDS TO BE IN YOUR EXPERT\INCLUDES FOLDER.
_______________________________________________________________________________________________________________________________________________________________________*/
#property copyright "Steven N. Scott"
#property link      ""


// IMPORT LIBRARY FOR SNS TABLE OBJECT ==========================================================================================================================
// v1.0 beta

#import "SNS_TABLE_OBJECT.ex4"

	// PROPERTYS-------------------------------------------------------------------------------------------------------------------------------------------------
	void 		Table.SetTitle(string title);
	string 	Table.GetTitle();
	void 		Table.SetWindow(int win);
	int 		Table.GetWindow();
	void 		Table.SetCorner(int corner);
	int 		Table.GetCorner();
	void		Table.SetX(int x);
	int		Table.GetX();
	void		Table.SetY(int y);
	int		Table.GetY();
	void		Table.SetXY(int x, int y);
	void 		Table.SetColumns(int cols[]);
	void 		Table.SetRows(int rows[]);
	void 		Table.SetFonts(string fonts[][]);
	void 		Table.SetFont(int row, int col, string font);
	string 	Table.GetFont(int row, int col);
	void  	Table.SetFontColors(color colors[][]);
	void		Table.SetFontColor(int row, int col, color clr);
	color		Table.GetFontColor(int row, int col);	
	void  	Table.SetFontSizes(int sizes[][]);		
	void		Table.SetFontSize(int row, int col, int size);
	int		Table.GetFontSize(int row, int col);
	void		Table.SetCellOffsets(int row, int col, int OffRow, int OffCol);
	void 		Table.SetDefaultFont(string name, int size, color clr); 	
	int		Table.GetCellOffsetCol(int row, int col);
	int		Table.GetCellOffsetRow(int row, int col);
	// FUNCTIONS-------------------------------------------------------------------------------------------------------------------------------------------
	int 		Table.Init(string TableName, int rows[], int cols[]);
	int 		Table.Deinit();
	void 		Table.SetTextOverride(int row, int col, string text, string font="", int size=0, color clr=CLR_NONE);
	void 		Table.SetText(int row, int col, string text);
	void 		Table.DrawCell(int row, int col, string font, int size, color clr=CLR_NONE);
	
	
#import

